<?php
/**
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2021 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

$sql = array();

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'koalapay_cart_invoice` (
    `id_cart_invoice` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
    `id_cart` int(11) UNSIGNED NOT NULL,
    `id_invoice` varchar(255) NOT NULL,
    `invoice_number` varchar(255) NOT NULL,
    `status` varchar(64) NULL,
    `financing_status` varchar(64) NULL,
    `total` decimal(20,6) NOT NULL DEFAULT \'0\',
    `is_sent` tinyint(1) NOT NULL DEFAULT \'0\',
    PRIMARY KEY  (`id_cart_invoice`),
    UNIQUE KEY `id_cart_invoice` (`id_cart`,`id_invoice`) USING BTREE,
    KEY `id_invoice` (`id_invoice`) USING BTREE,
    KEY `id_cart` (`id_cart`) USING BTREE
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'koalapay_customer_debtor` (
    `id_customer_debtor` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT,
    `id_customer` int(11) UNSIGNED NOT NULL,
    `id_debtor` varchar(255) NOT NULL,
    PRIMARY KEY  (`id_customer_debtor`),
    UNIQUE KEY `id_customer_debtor` (`id_customer`,`id_debtor`) USING BTREE,
    KEY `id_debtor` (`id_debtor`) USING BTREE,
    KEY `id_customer` (`id_customer`) USING BTREE
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'koalapay_invoice_status` (
    `id_invoice_status` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    `name` varchar(64) NOT NULL,
    `color` varchar(64) NULL,
    PRIMARY KEY  (`id_invoice_status`),
    UNIQUE KEY (`name`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

$sql[] = 'REPLACE INTO `' . _DB_PREFIX_ . 'koalapay_invoice_status` 
(`id_invoice_status`, `name`, `color`) VALUES 
(1, \'draft\', \'#9BA3B0\'),
(2, \'sent\', \'#60B0E7\'),
(3, \'paid\', \'#65A055\'),
(4, \'reversed\', \'#F7665B\'),
(5, \'disputed\', \'#E7424C\'),
(6, \'reminder1\', \'#F9A449\'),
(7, \'reminder2\', \'#F9A449\'),
(8, \'canceled\', \'#4F5C67\');';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'koalapay_invoice_financing_status` (
    `id_invoice_financing_status` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
    `name` varchar(64) NOT NULL,
    `color` varchar(64) NULL,
    PRIMARY KEY  (`id_invoice_financing_status`),
    UNIQUE KEY (`name`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

$sql[] = 'REPLACE INTO `' . _DB_PREFIX_ . 'koalapay_invoice_financing_status`
(`id_invoice_financing_status`, `name`, `color`) VALUES 
(1, \'waitingForDebtor\', \'#F9A449\'),
(2, \'waitingForApproval\', \'#60B0E7\'),
(3, \'financed\', \'#90CF36\'),
(4, \'directPayment\', \'#E7424C\'),
(5, \'disputed\', \'#E7424C\'),
(6, \'canceled\', \'#9BA3AF\'),
(7, \'expired\', \'#9BA3AF\'),
(8, \'closed\', \'#6C7C88\'),
(9, \'paid\', \'#6C7C88\'),
(10, \'refused\', \'#EEEEEE\');';

foreach ($sql as $query) {
    if (Db::getInstance()->execute($query) == false) {
        return false;
    }
}
