{*
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2021 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{if count($order_states) && isset($order_states)}
    <div class="row">
        <div class="col-lg-6">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th class="fixed-width-xs">
                        <span class="title_box">
                            <input type="checkbox" onclick="checkDelBoxes(this.form, 'stateBox[]', this.checked)" />
                        </span>
                    </th>
                    <th class="fixed-width-xs"><span class="title_box">{l s='ID' mod='koalapay'}</span></th>
                    <th>
                        <span class="title_box">
                            {l s='Order State' mod='koalapay'}
                        </span>
                    </th>
                </tr>
                </thead>
                <tbody>
                {foreach $order_states as $key => $state}
                    <tr>
                        <td>
                            {assign var=id_checkbox value=stateBox|cat:'_'|cat:$state['id_order_state']}
                            <input type="checkbox" name="stateBox[]" class="stateBox" id="{$id_checkbox|intval}" value="{$state['id_order_state']|intval}" {if $fields_value[$id_checkbox]}checked="checked"{/if} />
                        </td>
                        <td>{$state['id_order_state']|intval}</td>
                        <td>
                            <label for="{$id_checkbox|intval}" class="label color_field" style="background: {$state['color']|escape:'html':'UTF-8'}; color: white">{$state['name']|escape:'html':'UTF-8'}</label>
                        </td>
                    </tr>
                {/foreach}
                </tbody>
            </table>
            {block name="description"}
                {if isset($input.desc) && !empty($input.desc)}
                    <p class="help-block">
                        {if is_array($input.desc)}
                            {foreach $input.desc as $p}
                                {if is_array($p)}
                                    <span id="{$p.id|intval}">{$p.text|escape:'html':'UTF-8'}</span><br />
                                {else}
                                    {$p|escape:'html':'UTF-8'}<br />
                                {/if}
                            {/foreach}
                        {else}
                            {$input.desc|escape:'html':'UTF-8'}
                        {/if}
                    </p>
                {/if}
            {/block}
        </div>
    </div>
{else}
    <p>
        {l s='No Order States?' mod='koalapay'}
    </p>
{/if}