{*
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2021 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<div class="panel">
    <div class="koalapay-account">
        {if $api_alive !== true}
            <p class="alert alert-danger">
                <strong>{l s='API (%s) is down!?' mod='koalapay' sprintf=$api_url}</strong><br/>
                {$api_alive|escape:'html':'UTF-8'}
            </p>
        {elseif $account === false}
            <p class="alert alert-warning">{l s='Your account is not configured.' mod='koalapay'}</p>
        {elseif !$account}
            <p class="alert alert-danger">
                {l s='Your account is unsuccessfully configured.' mod='koalapay'}<br/>
                <strong>{l s='Check the API token!' mod='koalapay'}</strong>
            </p>
        {else}
            <p class="alert alert-success">{l s='Your account is successfully configured.' mod='koalapay'}</p>
            <h2>{l s='Your account information' mod='koalapay'}</h2>
            <div class="row">
                <div class="col-xs-12 col-sm-6">
                    <h4>{l s='General' mod='koalapay'}</h4>
                    <ul>
                        <li>
                            <h5>{l s='Subscription type:' mod='koalapay'}
                                <strong>{$account->subscriptionType|escape:'html':'UTF-8'}</strong></h5>
                        </li>
                        <li>
                            {l s='Name:' mod='koalapay'} {$account->name|escape:'html':'UTF-8'}
                        </li>
                        <li>
                            {l s='Contact Name:' mod='koalapay'} {$account->adminUser->firstName|escape:'html':'UTF-8'} {$account->adminUser->lastName|escape:'html':'UTF-8'}
                        </li>
                        <li>
                            {l s='Contact Email:' mod='koalapay'} {$account->adminUser->email|escape:'html':'UTF-8'}
                        </li>
                        <li>
                            {l s='Vat Number:' mod='koalapay'} {$account->vatNumber|escape:'html':'UTF-8'}
                        </li>
                        <li>
                            {l s='Language:' mod='koalapay'} {$account->language|escape:'html':'UTF-8'}
                        </li>
                    </ul>
                </div>
                <div class="col-xs-12 col-sm-6">
                    <h4>{l s='Billing information' mod='koalapay'}</h4>
                    <ul>
                        <li>
                            {l s='Name:' mod='koalapay'} {$account->billing->name|escape:'html':'UTF-8'}
                        </li>
                        <li>
                            {l s='Email:' mod='koalapay'} {$account->billing->email|escape:'html':'UTF-8'}
                        </li>
                        <li>
                            {l s='Vat Number:' mod='koalapay'} {$account->billing->vatNumber|escape:'html':'UTF-8'}
                        </li>
                        <li>
                            {l s='Address' mod='koalapay'}<br/>
                            {$account->billing->address->addressLines|escape:'html':'UTF-8'}<br/>
                            {$account->billing->address->postCode|escape:'html':'UTF-8'} {$account->billing->address->city|escape:'html':'UTF-8'}
                            <br/>
                            {$account->billing->address->country|escape:'html':'UTF-8'}
                        </li>
                    </ul>
                </div>
                <div class="col-xs-12 col-sm-6">
                    <h2>{l s='Financing Status' mod='koalapay'}</h2>
                    <p>
                        {if $financing_status->eligible}
                            {l s='Eligible' mod='koalapay'}
                        {else}
                            {l s='Not eligible' mod='koalapay'}
                        {/if}
                        /
                        {if $financing_status->active}
                            {l s='Active' mod='koalapay'}
                        {else}
                            {l s='Not active' mod='koalapay'}
                        {/if}
                    </p>
                    <p>{l s='Limit:' mod='koalapay'} <strong>{$financing_status->limit|escape:'html':'UTF-8'}</strong>
                    </p>
                </div>
            </div>
        {/if}
    </div>
</div>

[[account_form]]