{*
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2021 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<div class="panel">
	<div class="row koalapay-header">
		<div class="col-xs-12 col-sm-6">
			<img src="{$module_dir|escape:'html':'UTF-8'}views/img/koala_logo.png" id="payment-logo" />
		</div>
		<div class="col-xs-12 col-sm-6 text-center">
			<h4>{l s='30-day payment solution for professionals. No need for credit cards.' mod='koalapay'}</h4>
			<h4>{l s='You get paid within 48h.' mod='koalapay'}</h4>
		</div>
	</div>

	<hr />
	
	<div class="koalapay-content">
		<div class="row">
			<div class="col-md-6">
				<h2>{l s='How does it work?' mod='koalapay'}</h2>
				<p>
					{l s='Once the Koala module activated in PrestaShop, your solvent professional customers can choose to pay in 30 days.' mod='koalapay'}<br/>
					{l s='The payment method is not displayed if your client is not eligible (based on his VAT number).' mod='koalapay'}<br/>
					{l s='The invoice is generated by Koala and sent by email to your customer and replaces the PrestaShop invoice.' mod='koalapay'}<br/>
					{l s='Upon reception, your customer confirms the invoice with a single clic.' mod='koalapay'}<br/>
					{l s='Koala pays you within 24h.' mod='koalapay'}
				</p>
				<h2>{l s='How much does it cost?' mod='koalapay'}</h2>
				<p>
					{l s='Europe (Benelux excluded): 3,5% of the invoice amount' mod='koalapay'}<br/>
					{l s='Benelux: 2,99% of the invoice amount' mod='koalapay'}
				</p>
			</div>
			
			<div class="col-md-6">
				<h2>{l s='How to activate the payment module ?' mod='koalapay'}</h2>
				<ol>
					<li>{l s='Create an account on [1]www.koalaboox.com[/1] and activate the financing contract.' tags=['<a href="https://koalaboox.com" target="_blank">'] mod='koalapay'}</li>
					<li>{l s='Install and set-up the KoalaPay module inside Prestashop.' mod='koalapay'}</li>
				</ol>
				<br />
				<p>
					{l s='You can view the status of your invoices at anytime on Prestashop or on Koalaboox.com' mod='koalapay'}<br/>
					<a href="https://www.koalaboox.com/be/fr/assistance/category/catid/152/title/financement" class="btn btn-primary" target="_blank">{l s='More info' mod='koalapay'}</a><br/>
					{l s='Don\'t hesitate to take contact with our customer support per email at [1]support@koalaboox.com[/1]' tags=['<a href="mailto:support@koalaboox.com">'] mod='koalapay'}
				</p>
			</div>
		</div>
	</div>
</div>
