{*
* 2007-2021 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2021 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}
{*
	PS 1.6 ONLY
*}

{capture name=path}
    <a href="{$link->getPageLink('order', true, NULL, "step=3")|escape:'html':'UTF-8'}" title="{l s='Go back to the Checkout' mod='koalapay'}">{l s='Checkout' mod='koalapay'}</a><span class="navigation-pipe">{$navigationPipe|escape:'htmlall':'UTF-8'}</span>{l s='Pay in 30 days with Koalapay' mod='koalapay'}
{/capture}

<h2>{l s='Order summary' mod='koalapay'}</h2>

{assign var='current_step' value='payment'}
{include file="$tpl_dir./order-steps.tpl"}

{if $nbProducts <= 0}
    <p class="warning">{l s='Your shopping cart is empty.' mod='koalapay'}</p>
{else}

    <h3>{l s='Pay in 30 days with Koalapay' mod='koalapay'}</h3>
    <form action="{$link->getModuleLink('koalapay', 'validation', array(), true)|escape:'html':'UTF-8'}" method="post">
        <p>
            <img src="{$this_path|escape:'html':'UTF-8'}views/img/koalapay.png" alt="{l s='Pay in 30 days with Koalapay' mod='koalapay'}" style="float:left; margin: 0px 10px 5px 0px;" />
            <strong>{l s='You have chosen to pay by Koalapay.' mod='koalapay'}</strong><br/>
            {l s='You don\'t need a payment card.' mod='koalapay'}<br/>
            {l s='If you chose this option, you will receive an invoice by email with the new payment date.' mod='koalapay'}<br/>
            {l s='There are no costs for you. This website offers you to buy now and pay later.' mod='koalapay'}<br/>
            <br/><br />
            {l s='Here is a short summary of your order:' mod='koalapay'}
        </p>
        <p style="margin-top:20px;">
            - {l s='The total amount of your order is' mod='koalapay'}
            <span id="amount" class="price">{displayPrice price=$total}</span>
            {if $use_taxes == 1}
                {l s='(tax incl.)' mod='koalapay'}
            {/if}
        </p>
        <p>
            <b>{l s='Please confirm your order by clicking "I confirm my order".' mod='koalapay'}</b>
        </p>
        <p class="cart_navigation" id="cart_navigation">
            <input type="submit" value="{l s='I confirm my order' mod='koalapay'}" class="exclusive_large" />
            <a href="{$link->getPageLink('order', true, NULL, "step=3")|escape:'html':'UTF-8'}" class="button_large">{l s='Other payment methods' mod='koalapay'}</a>
        </p>
    </form>
{/if}
